## dpaste 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(dpaste)
set(dpaste_VERSION 0.4.0)
add_definitions(-DVERSION="${dpaste_VERSION}")
add_definitions(-DPACKAGE_NAME="dpaste")

set(CMAKE_CXX_STANDARD 17)
set(THREADS_PREFER_PTHREAD_FLAG ON)

###################
#  CMake modules  #
###################
list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

############################
#  Find required packages  #
############################
find_package(opendht 1.2.0 REQUIRED)
find_package(CURLpp REQUIRED)
find_package(glibmm REQUIRED)
find_package(B64 REQUIRED)
find_package(Gpgme)
find_package(Threads REQUIRED)
find_package(nlohmann_json 2.1.1 REQUIRED)

#####################################
#  dpaste headers and source files  #
#####################################
list(APPEND dpaste_HEADERS
    src/node.h
    src/conf.h
    src/http_client.h
    src/bin.h
    src/gpgcrypto.h
    src/log.h
	src/cipher.h
	src/aescrypto.h
)
list(APPEND dpaste_SOURCES
    src/main.cpp
    src/node.cpp
    src/conf.cpp
    src/http_client.cpp
    src/bin.cpp
    src/gpgcrypto.cpp
    src/log.cpp
	src/cipher.cpp
	src/aescrypto.cpp
)

#################################
#  dpaste building and linking  #
#################################
include_directories(${CURLPP_INCLUDE_DIRS} ${glibmm_INCLUDE_DIRS} ${B64_INCLUDE_DIRS} ${GPGME_INCLUDE_DIRS})
add_executable(dpaste ${dpaste_SOURCES} ${dpaste_HEADERS})
target_link_libraries(dpaste LINK_PUBLIC opendht -lgnutls -lnettle -largon2 -lpthread ${CURLPP_LIBRARIES} ${glibmm_LIBRARIES} ${B64_LIBRARIES} -lgpgmepp ${GPGME_VANILLA_LIBRARIES})

#####################
#  install targets  #
#####################
install(TARGETS dpaste DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

#  vim: set ts=4 sw=4 tw=120 noet :

=== debian/changelog ===
dpaste (0.4.0-1) unstable; urgency=medium

  * Initial release. Closes: #866359

 -- Simon Désaulniers <sim.desaulniers@gmail.com>  Tue, 12 May 2020 20:34:09 -0400

=== debian/control ===
Source: dpaste
Section: misc
Priority: optional
Maintainer: Simon Désaulniers <sim.desaulniers@gmail.com>
Build-Depends:
    debhelper (>=11~),
    pkg-config,
    libopendht-dev,
    libargon2-dev,
    libcurlpp-dev,
    libglibmm-2.4-dev,
    libb64-dev,
    nlohmann-json3-dev,
    libcurl4-gnutls-dev | libcurl4-nss-dev | libcurl4-openssl-dev,
    libgpgme-dev,
    libgpgmepp-dev
Standards-Version: 4.1.4
Homepage: https://github.com/sim590/dpaste
Vcs-Browser: https://salsa.debian.org/sim590-guest/dpaste
Vcs-Git: https://salsa.debian.org/sim590-guest/dpaste.git
Rules-Requires-Root: no

Package: dpaste
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pastebin using OpenDHT distributed hash table
 This package provides dpaste, a distributed pastebin which requires no central
 server to paste your files (up to a size of 64KiB).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf -- ./autogen.sh

#  vim: set sts=0 ts=4 sw=4 tw=120 noet :
